### Constructor

# Gsk OpacityNode new

#### Declaration [src]

    GskRenderNode*
    gsk_opacity_node_new (
      GskRenderNode* child,
      float opacity
    )

#### Description [src]

Creates a `GskRenderNode` that will drawn the `child` with reduced `opacity`.

#### Parameters

`child` | `GskRenderNode`
| The node to draw.
| The data is owned by the caller of the function.
`opacity` | `float`
| The opacity to apply.

#### Return value

Returns: | `GskOpacityNode`
| A new `GskRenderNode`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.